IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[drop_autogenedproc]') AND type = 'P')
DROP PROCEDURE [dbo].[drop_autogenedproc]
GO
create proc [dbo].[drop_autogenedproc]
@bizid int
as
begin
declare @sql varchar(max)
set @sql=''
select @sql+='drop procedure '+name+';' 
from sysobjects where xtype='P' 
and name like 'order_'+CONVERT(varchar,@bizid)+'%'
exec(@sql);
end